### Function

# GLib Hook free

#### Declaration [src]

    void
    g_hook_free (
      GHookList* hook_list,
      GHook* hook
    )

#### Description [src]

Calls the `GHookList` `finalize_hook` function if it exists, and frees the memory allocated for the `GHook`.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`hook`

  Type: `GHook`

  The `GHook` to free.

  The data is owned by the caller of the function.